Bug 119235 - UI: Interactive gradient tool is broken
Summary: UI: Interactive gradient tool is broken
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Draw (show other bugs)
Version:
(earliest affected)
6.0.0.0.alpha1+
Hardware: All All
: medium normal
Assignee: Michael Stahl (CIB)
URL:
Whiteboard: target:6.2.0 target:6.0.7 target:6.1.4
Keywords: bibisected, bisected, regression
Depends on:
Blocks: Object-Fill-Gradient
  Show dependency treegraph
 
Reported: 2018-08-12 21:41 UTC by Regina Henschel
Modified: 2018-10-30 13:02 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Regina Henschel 2018-08-12 21:41:28 UTC
If you don't know the interactive gradient tool, you should use version 5.4 to learn how it should work: Use View > toolbars > Color Bar. Draw a shape and set its filling to a linear gradient. Select that shape. Select tool "Gradient" from the sub-toolbar "Effects". You should now see a line with a little arrow and two colored square end points on the shape. You can drag the square to change the direction of the gradient. Now click on a color in the Color Bar and hold down the mouse. Drag to the square at the line in the shape. The gradient color changes to the dragged color.

Now do the same in version 6.1. Notice, that it doesn't work, but you get total wrong colors or black. [In version 6.1 the sub-toolbar is named "Transformations".]

Broken in Version: 6.0.0.0.alpha1+ (x64)
Build ID: a5af0fd9f27af42cf2e8571f659cdad6e606215b
CPU threads: 8; OS: Windows 10.0; UI render: default; 
TinderBox: Win-x86_64@42, Branch:master, Time: 2017-11-07_00:30:02
Locale: de-DE (en_US); Calc: CL

OK in Version: 5.4.7.2 (x64)
Build ID: c838ef25c16710f8838b1faec480ebba495259d0
CPU threads: 8; OS: Windows 6.19; UI render: default; 
Locale: en-US (en_US); Calc: CL
Comment 1 Roman Kuznetsov 2018-08-13 19:17:01 UTC
confirmed in 6.1.0.3 release on Windows 7.

checked in 5.4.7.2 on Windows 7 -> works as expected, fine

regression
Comment 2 Xisco Faulí 2018-08-14 12:52:53 UTC
Regression introduced by:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=97b889b8b2b2554ce33fd6b3f0359fc18f39832d

author	Varun Dhall <varun.dhall@studentpartner.com>	2017-08-01 10:36:45 +0530
committer	Michael Stahl <mstahl@redhat.com>	2017-08-10 21:54:07 +0200
commit	97b889b8b2b2554ce33fd6b3f0359fc18f39832d (patch)
tree	f4f6449389e5a8a77ac02f4ff1eef205d9b76ca0
parent	88b0711aa5cda440805fa49f16f7c83ea0b2e292 (diff)
WIP: Removing unused SfxItemPool serialisation from svx

Bisected with: bibisect-linux64-6.0

Adding Cc: to Varun Dhall
Comment 3 Commit Notification 2018-10-28 07:57:15 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=0a6813ad5d57d0df72562c797a8b0581bfd65a11

tdf#119235 svx,sd: fix drag&drop from ColorBar

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Michael Stahl (CIB) 2018-10-28 09:48:49 UTC
well that obscure feature was serialising those pool items too...

fixed on master, we can just use uno::Anys instead
Comment 5 Commit Notification 2018-10-29 10:32:19 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "libreoffice-6-0":

https://git.libreoffice.org/core/+/24ccbc35e8857cc8de784154d0648800d39ab20b%5E%21

tdf#119235 svx,sd: fix drag&drop from ColorBar

It will be available in 6.0.8.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Xisco Faulí 2018-10-29 18:13:20 UTC
Verified in

Version: 6.2.0.0.alpha1+
Build ID: 19a0698079fbba36646a2d06eaec3a7fde60b2f5
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: threaded

@Michael, Stahl, Thanks for fixing this bug!
Comment 7 Commit Notification 2018-10-30 12:52:15 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "libreoffice-6-0-7":

https://git.libreoffice.org/core/+/bc4f408bf085a7c415c8737a00ed840ecb142b0b%5E%21

tdf#119235 svx,sd: fix drag&drop from ColorBar

It will be available in 6.0.7.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2018-10-30 13:02:43 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "libreoffice-6-1":

https://git.libreoffice.org/core/+/2b44debe150d5e4bd9777a9a55a8328512d4fb40%5E%21

tdf#119235 svx,sd: fix drag&drop from ColorBar

It will be available in 6.1.4.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.